Subject: bug#64270: 30.0.50; Font update for no toolkit menu

From: Po Lu <[email-masked]>
Date: Tue, 27 Jun 2023 20:10:19 +0800

Manuel Giraud <[email-masked]> writes:

> I imagined something like that.  So maybe I need a new function.  For
> example `x_normalize_xlfd'?

Perhaps you should instead consider the reason you need to use XLFDs to
specify fonts.  It is highly unlikely for fonts loaded by FreeType-based
font backends to also exist on the X server, and thus be accessible from
the X core protocol in the first place.

TRT is probably to write a new menu library that uses Emacs's own font
backends for displaying text.